hplip 3.15.2-0ubuntu1 source package in Ubuntu

Changelog

hplip (3.15.2-0ubuntu1) vivid; urgency=low

  * New upstream release
    - Python3 support for HPLIP
    - Doesn't build against libjpeg-turbo 1.3.90 (LP: #1388126)
    - hpcups crashes if DEVICE_URI not set in environment (LP: #1395676)
    - Incorrect call to hpmudext.device_open (LP: #1388007)
    - plugin download fails if python links to python3 (LP: #1187055)
    - Incorrect IEEE 1284 Device IDs for many models (LP: #802999)
  * debian/patches/85_rebuild_python_ui.dpatch: Manually updated to apply to new
    upstream source code.
  * debian/patches/hp_photosmart_pro_b9100_support.dpatch,
    debian/patches/simple-scan-as-default.dpatch,
    debian/patches/hpfax-bug-function-used-before-importing-log.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch,
    debian/patches/hpaio-option-duplex.diff,
    debian/patches/musb-c-do-not-crash-on-usb-failure.patch,
    debian/patches/process-events-for-systray.patch: Refreshed with quilt.
  * debian/rules: Force Python3 build using PYTHON=python3 ./configure option
  * debian/rules: Use py3versions to get system's Python3 interpreter version
  * debian/rules: Use relative symlink for /usr/sbin/hpssd, so that shebang
    correction works.
  * debian/rules: Make sure that the Python interpreter paths in all executables
    use python3.
  * debian/rules: Use dh_python3 instead of dh_python2.
  * debian/control: Replaced all Python-related dependencies by their
    Python3 equivalent.
 -- Till Kamppeter <email address hidden>   Wed,  4 Feb 2015 21:18:00 -0200

Upload details

Uploaded by:
Till Kamppeter on 2015-02-05
Uploaded to:
Vivid
Original maintainer:
Debian HPIJS and HPLIP maintainers
Architectures:
any all
Section:
utils
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
hplip_3.15.2.orig.tar.gz 20.8 MiB 5f02eca743d85240db07ed2fc6551e1dce0dedc85ad4a0e90417e4d5b630f67c
hplip_3.15.2-0ubuntu1.debian.tar.xz 89.9 KiB b21968e896c9d2dd005b1e78e219dc2408d7f49883545d1b6bf863838b86bc18
hplip_3.15.2-0ubuntu1.dsc 2.4 KiB 7cfa6d018140355ebedb06da130acff8f8411351d02b7490f76471fc6690b144

Available diffs

View changes file

Binary packages built by this source

hplip: No summary available for hplip in ubuntu vivid.

No description available for hplip in ubuntu vivid.

hplip-dbg: No summary available for hplip-dbg in ubuntu vivid.

No description available for hplip-dbg in ubuntu vivid.

libhpmud-dev: No summary available for libhpmud-dev in ubuntu vivid.

No description available for libhpmud-dev in ubuntu vivid.

libhpmud0: No summary available for libhpmud0 in ubuntu vivid.

No description available for libhpmud0 in ubuntu vivid.

libsane-hpaio: No summary available for libsane-hpaio in ubuntu vivid.

No description available for libsane-hpaio in ubuntu vivid.

printer-driver-hpcups: No summary available for printer-driver-hpcups in ubuntu vivid.

No description available for printer-driver-hpcups in ubuntu vivid.

printer-driver-hpijs: No summary available for printer-driver-hpijs in ubuntu vivid.

No description available for printer-driver-hpijs in ubuntu vivid.